Skip to main content

GET /v1/youtube/web_v2/get_channel_description

Get channel description

stable · 2 credits per success

Get YouTube channel description information (subscribers, videos, views, creation date, social links, etc.);Important - Two requests required for complete data;**First request** (with channel_id): Returns basic info (title, description, subscribers, videos, avatar, banner, etc.);**Second request** (with continuation_token): Returns advanced info (**creation date, social media links, country, view…

Sign up for 500 credits and run with your own API key. Sign up free

Request

curl
curl -s 'https://api.wellbyte.net/v1/youtube/web_v2/get_channel_description?channel_id=UCeu6U67OzJhV1KwBansH3Dg&need_format=true&country_code=US&language_code=zh-CN&continuation_token=demo' \
  -H "Authorization: Bearer dg_live_…"

Response

Sample captured 2026-09-23

data{
code:0
data{
links[ 0 items ]
title:"CozyCraft"
avatar[ 2 items ]
banner[ 2 items ]
handle:"CozyCraftYT"
country:null
rss_url:"https://www.youtube.com/feeds/videos.xml?channel_id=UCeu6U67OzJhV1KwBansH3Dg"
keywords:
"Minecraft Ambience Rain Thunderstorm "Relaxing Music" C418 ASMR Sleep Study Rela..."
verified:false
channel_id:"UCeu6U67OzJhV1KwBansH3Dg"
vanity_url:"http://www.youtube.com/@CozyCraftYT"
view_count:null
channel_url:"https://www.youtube.com/channel/UCeu6U67OzJhV1KwBansH3Dg"
description:
"Minecraft ambience and cozy visuals for sleep, relaxing, studying, etc 🌿 Hi, I..."
video_count:"217 个视频"
creation_date:null
has_membership:true
is_family_safe:true
subscriber_count:"11.6万位订阅者"
continuation_token:
"4qmFsgJgEhhVQ2V1NlU2N096SmhWMUt3QmFuc0gzRGcaRDhnWXJHaW1hQVNZS0pEWmhPR1U0WkdFNUxU..."
has_business_email:false
}
meta{
endpoint:"youtube.web_v2.get_channel_description"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

No calls yet. Get one green run first, then switch to your own data.

    Request parameters

    NameTypeInRequiredDescriptionExample
    channel_idstringqueryno频道ID(格式如:UCeu6U67OzJhV1KwBansH3Dg),可通过get_channel_id接口从频道URL获取UCeu6U67OzJhV1KwBansH3Dg
    need_formatbooleanqueryno是否需要清洗数据,提取关键内容,移除冗余数据true
    country_codestringqueryno国家代码(如US, JP等)US
    language_codestringqueryno语言代码(如zh-CN, en-US等)zh-CN
    continuation_tokenstringqueryno翻页标志(用于获取频道注册时间等高级信息)demo

    Response fields

    Field dictionary coming soon — the executable panel shows the live shape.

    Errors

    codeHTTPMeaningBilled
    40001400Invalid parametersno
    40102401Invalid or revoked API Keyno
    40201402Insufficient creditsno
    40402404Resource not foundno
    42201422Quality gate failedno
    42901429Rate limit exceededno
    50401504Upstream timeoutno
    50201502Upstream errorno

    Billing

    Success costs 2 credits. Any failure — including a 200 that fails the quality gate — costs 0.

    All YouTube endpoints →

    Search

    Search endpoints and docs